API Reference
Shifts
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/roster JWT API KeyGet roster
Query parameters
| From string (date) | — |
| To string (date) | — |
| EmployeeId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/roster" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/roster JWT API KeyCreate roster
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"date": "2026-09-30",
"shiftId": "00000000-0000-0000-0000-000000000000",
"restDay": false,
"clear": false
}| employeeId string (uuid) | — |
| date string (date) | — |
| shiftId string (uuid) | — |
| restDay boolean | — |
| clear boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/roster" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"date": "2026-09-30",
"shiftId": "00000000-0000-0000-0000-000000000000",
"restDay": false,
"clear": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/hr/shifts JWT API KeyGet shifts
Query parameters
| Active boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/shifts" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/shifts JWT API KeyCreate shifts
Request body
application/json
{
"name": "string",
"startTime": "string",
"endTime": "string"
}| name string | — |
| startTime string | — |
| endTime string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/shifts" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"startTime": "string",
"endTime": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu